Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.inject.rebind.resolution
Class DependencyExplorer.DependencyExplorerOutput

    java.lang.Object
      com.google.gwt.inject.rebind.resolution.DependencyExplorer.DependencyExplorerOutput

Enclosing class:
  DependencyExplorer

    public static class DependencyExplorer.DependencyExplorerOutput

extends java.lang.Object

Class that packages up all the output of exploring the unresolved dependencies for a Ginjector. This contains the `DependencyGraph` itself, as well as additional information about the nodes.

Method Summary
`java.util.Collection<java.util.Map.Entry<Key<?>,java.lang.String>>` | `getBindingErrors()` Returns pairs containing the `Key<?>`s that were unavailable from the injector hierarchy but that we were unable to create implicit bindings for and an error message describing the problem we encountered while creating the implicit binding.
`DependencyGraph` | `getGraph()` Returns the `DependencyGraph` containing information about nodes found from the origin.
`java.util.Collection<java.util.Map.Entry<Key<?>,Binding>>` | `getImplicitBindings()` Returns map entries containing the `Key<?>`s that weren't already available and the `Binding` we created (implicitly) for it.
`java.util.Collection<Key<?>>` | `getImplicitlyBoundKeys()` Return the `Key<?>`s that weren't already available and for which we successfully created implicit bindings.
`java.util.Map<Key<?>,GinjectorBindings>` | `getPreExistingLocations()` Returns a map from each `Key<?>` that was already available in the injector hierarchy to the Ginjector on which it was found.
`void` | `removeBinding(Key<?> key)` Removes an implicit binding from the information being tracked.
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### size

    public int size()

### getPreExistingLocations

    public java.util.Map<Key<?>,GinjectorBindings> getPreExistingLocations()

  Returns a map from each `Key<?>` that was already available in the injector hierarchy to the Ginjector on which it was found.

### getImplicitlyBoundKeys

    public java.util.Collection<Key<?>> getImplicitlyBoundKeys()

  Return the `Key<?>`s that weren't already available and for which we successfully created implicit bindings.

### getBindingErrors

    public java.util.Collection<java.util.Map.Entry<Key<?>,java.lang.String>> getBindingErrors()

  Returns pairs containing the `Key<?>`s that were unavailable from the injector hierarchy but that we were unable to create implicit bindings for and an error message describing the problem we encountered while creating the implicit binding.

### getImplicitBindings

    public java.util.Collection<java.util.Map.Entry<Key<?>,Binding>> getImplicitBindings()

  Returns map entries containing the `Key<?>`s that weren't already available and the `Binding` we created (implicitly) for it. If there was an error creating the implicit binding, the key will not be found here. Look in `getBindingErrors()` instead.

### removeBinding

    public void removeBinding(Key<?> key)

  Removes an implicit binding from the information being tracked.

### getGraph

    public DependencyGraph getGraph()

  Returns the `DependencyGraph` containing information about nodes found from the origin.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD